# C 程序：使用结构存储学生信息

> 原文： [https://www.programiz.com/c-programming/examples/information-structure-array](https://www.programiz.com/c-programming/examples/information-structure-array)

#### 在此示例中，您将学习通过使用结构数组来存储 5 名学生的信息。

要理解此示例，您应该了解以下 [C 编程](/c-programming "C tutorial")主题：

*   [C 数组](/c-programming/c-arrays)
*   [C 结构](/c-programming/c-structures)

* * *

## 将信息存储在结构中并显示

```c
#include <stdio.h>
struct student {
    char firstName[50];
    int roll;
    float marks;
} s[10];

int main() {
    int i;
    printf("Enter information of students:\n");

    // storing information
    for (i = 0; i < 5; ++i) {
        s[i].roll = i + 1;
        printf("\nFor roll number%d,\n", s[i].roll);
        printf("Enter first name: ");
        scanf("%s", s[i].firstName);
        printf("Enter marks: ");
        scanf("%f", &s[i].marks);
    }
    printf("Displaying Information:\n\n");

    // displaying information
    for (i = 0; i < 5; ++i) {
        printf("\nRoll number: %d\n", i + 1);
        printf("First name: ");
        puts(s[i].firstName);
        printf("Marks: %.1f", s[i].marks);
        printf("\n");
    }
    return 0;
} 
```

**输出**

```c
Enter information of students: 

For roll number1,
Enter name: Tom
Enter marks: 98

For roll number2,
Enter name: Jerry
Enter marks: 89
.
.
.
Displaying Information:

Roll number: 1
Name: Tom
Marks: 98
.
.
. 
```

在该程序中，创建了一个结构`student`。 该结构具有三个成员：`name`（字符串），`卷`（整数）和`mark`（浮点）。

然后，我们创建了具有 5 个元素的结构`s`的数组，以存储 5 个学生的信息。

该程序使用`for`循环，从用户那里获取 5 名学生的信息，并将其存储在结构数组中。 然后使用另一个`for`循环，在屏幕上显示用户输入的信息。