# C 标准库函数

> 原文： [https://www.programiz.com/c-programming/library-function](https://www.programiz.com/c-programming/library-function)

#### 在本教程中，您将学习 C 语言中的标准库函数。更具体地说，它们是什么，C 语言中的不同库函数以及如何在程序中使用它们。

C 标准库函数或简单的 C 库函数是 C 编程中的内置函数。

这些函数的原型和数据定义位于各自的头文件中。 要使用这些功能，我们需要在程序中包含头文件。 例如，

如果要使用`printf()`函数，则应包含头文件`<stdio.h>`。

```c
#include <stdio.h>
int main()
{ <stdio.h>printf("Catch me if you can."); 
}</stdio.h> 
```

如果尝试使用`printf()`而不包含`stdio.h`头文件，则会出现错误。

* * *

## 使用 C 库函数的优点

**1.他们有效**

您应该使用库函数的最重要原因之一就是因为它们可以工作。 这些功能经过了严格的测试，并且易于使用。

**2.已针对性能优化**

由于这些功能是“标准库”功能，因此一群专门的开发人员会不断对其进行改进。 在此过程中，他们能够创建为实现最佳性能而优化的最高效代码。

**3.节省大量开发时间**

由于一般的功能，如打印到屏幕，计算平方根等，都已经编写。 您不必担心再次创建它们。

**4.这些函数是便携式的**

随着现实世界中不断变化的需求，您的应用程序有望随时随地运行。 而且，这些库函数可以在每台计算机上执行相同的操作，从而对您有所帮助。

* * *

## 示例：`sqrt()`函数和平方根

假设您要查找数字的平方根。

若要计算数字的平方根，可以使用`sqrt()`库函数。 该函数在`math.h`头文件中定义。

```c
#include <stdio.h>
#include <math.h>
int main()
{
   float num, root;
   printf("Enter a number: ");
   scanf("%f", &num);

   // Computes the square root of num and stores in root.
   root = sqrt(num);

   printf("Square root of %.2f = %.2f", num, root);
   return 0;
}
```

运行该程序时，输出为：

```c
Enter a number: 12
Square root of 12.00 = 3.46
```

* * *

## 不同头文件中的库函数

| C 头文件 |
| --- |
| < assert.h > | 程序断言功能 |
| [< ctype.h >](/c-programming/library-function/ctype.h "<ctype.h> header file") | 字符类型功能 |
| < locale.h > | 本地化功能 |
| [< math.h >](/c-programming/library-function/math.h "<math.h> header file") | 数学功能 |
| < setjmp.h > | 跳转功能 |
| < signal.h > | 信号处理功能 |
| < stdarg.h > | 可变参数处理功能 |
| < stdio.h > | 标准输入/输出功能 |
| < stdlib.h > | 标准实用程序功能 |
| [< string.h >](/c-programming/library-function/string.h "C <string.h> header") | 字符串处理功能 |
| < time.h > | 日期时间功能 |