# Java 程序检查数字是偶数还是奇数

> 原文： [https://www.programiz.com/java-programming/examples/even-odd](https://www.programiz.com/java-programming/examples/even-odd)

#### 在该程序中，您将学习检查用户输入的数字是偶数还是奇数。 这将使用 Java 中的 if...else 语句和三元运算符完成。

## 示例 1：使用 if...else 语句检查数字是偶数还是奇数

```java
import java.util.Scanner;

public class EvenOdd {

    public static void main(String[] args) {

        Scanner reader = new Scanner(System.in);

        System.out.print("Enter a number: ");
        int num = reader.nextInt();

        if(num % 2 == 0)
            System.out.println(num + " is even");
        else
            System.out.println(num + " is odd");
    }
}
```

运行该程序时，输出为：

```java
Enter a number: 12
12 is even
```

在上面的程序中，创建了`Scanner`对象`reader`以从用户的键盘读取数字。 输入的数字然后存储在变量`num`中。

现在，要检查`num`是偶数还是奇数，我们使用`%`运算符计算其余数，并检查其是否可被`2`整除。

为此，我们在 Java 中使用`if...else`语句。 如果`number`可被`2`整除，则我们打印`number`是偶数。 否则，我们打印`num`是奇怪的。

我们也可以使用 Java 中的三元运算符检查`num`是偶数还是奇数。

* * *

## 示例 2：使用三元运算符检查数字是偶数还是奇数

```java
import java.util.Scanner;

public class EvenOdd {

    public static void main(String[] args) {

        Scanner reader = new Scanner(System.in);

        System.out.print("Enter a number: ");
        int num = reader.nextInt();

        String evenOdd = (num % 2 == 0) ? "even" : "odd";

        System.out.println(num + " is " + evenOdd);

    }
}
```

When you run the program, the output will be:

```java
Enter a number: 13
13 is odd
```

在上面的程序中，我们用三元运算符`(? :)`替换了`if...else`语句。

这里，如果将`num`整除为 2，则返回`"even"`。 否则，返回`"odd"`。 返回的值保存在字符串变量`evenOdd`中。

然后，使用字符串连接将结果打印在屏幕上。