# Java 程序来计算数字的幂

> 原文： [https://www.programiz.com/java-programming/examples/power-number](https://www.programiz.com/java-programming/examples/power-number)

#### 在此程序中，您将学习使用和不使用 pow（）函数来计算数字的幂。

## 示例 1：使用 while 循环计算数字的幂

```java
public class Power {

    public static void main(String[] args) {

        int base = 3, exponent = 4;

        long result = 1;

        while (exponent != 0)
        {
            result *= base;
            --exponent;
        }

        System.out.println("Answer = " + result);
    }
}
```

运行该程序时，输出为：

```java
Answer = 81
```

在此程序中，`基`和`指数`分别分配了值 3 和 4。

使用 while 循环，我们继续将`结果`与`基数`相乘，直到`指数`变为零。

在这种情况下，我们将`结果`乘以基数总共 4 倍，因此`结果` = 1 * 3 * 3 * 3 * 3 = 81。

* * *

## 示例 2：使用 for 循环计算数字的幂

```java
public class Power {

    public static void main(String[] args) {

        int base = 3, exponent = 4;

        long result = 1;

        for (;exponent != 0; --exponent)
        {
            result *= base;
        }

        System.out.println("Answer = " + result);
    }
}
```

When you run the program, the output will be:

```java
Answer = 81
```

在这里，我们使用了 for 循环，而不是使用 while 循环。

每次迭代后，`指数`减 1，然后`结果`乘以`基数` `指数`次数。

如果您的指数为负，则以上两个程序均无效。 为此，您需要在 Java 标准库中使用 pow（）函数。

* * *

## 示例 3：使用 pow（）函数计算数字的幂

```java
public class Power {

    public static void main(String[] args) {

        int base = 3, exponent = -4;
        double result = Math.pow(base, exponent);

        System.out.println("Answer = " + result);
    }
}
```

When you run the program, the output will be:

```java
Answer = 0.012345679012345678
```

在此程序中，我们使用 Java 的`Math.pow()`函数来计算给定`基`的功率。