# Java 程序在两个间隔之间显示 Armstrong 数

> 原文： [https://www.programiz.com/java-programming/examples/armstrong-number-interval](https://www.programiz.com/java-programming/examples/armstrong-number-interval)

#### 在此程序中，您将学习在 Java 中显示两个给定间隔（低和高）之间的所有 armstrong 数字。

一个正整数称为阿姆斯特朗数`n`，如果

```java
abcd... = an + bn + cn + dn + ...
```

对于 3 位的阿姆斯特朗数，每个数字的立方数之和等于数字本身。 例如：

```java
153 = 1*1*1 + 5*5*5 + 3*3*3  // 153 is an Armstrong number.

```

该程序基于[的概念，该方法如何检查整数是否为 Armstrong 数字](/java-programming/examples/armstrong-number "Check Armstrong Number in Kotlin")。

## 示例：两个整数之间的阿姆斯壮数

```java
public class Armstrong {

    public static void main(String[] args) {

        int low = 999, high = 99999;

        for(int number = low + 1; number < high; ++number) {
            int digits = 0;
            int result = 0;
            int originalNumber = number;

            // number of digits calculation
            while (originalNumber != 0) {
                originalNumber /= 10;
                ++digits;
            }

            originalNumber = number;

            // result contains sum of nth power of its digits
            while (originalNumber != 0) {
                int remainder = originalNumber % 10;
                result += Math.pow(remainder, digits);
                originalNumber /= 10;
            }

            if (result == number)
                System.out.print(number + " ");
        }
    }
}
```

运行该程序时，输出为：

```java
1634 8208 9474 54748 92727 93084 
```

在上述程序中，检查了给定间隔高和低之间的每个数字。

每次检查后，`位`的位数和总和`结果`被恢复为 0。