# Java 程序将八进制数转换为十进制，反之亦然

> 原文： [https://www.programiz.com/java-programming/examples/octal-decimal-convert](https://www.programiz.com/java-programming/examples/octal-decimal-convert)

#### 在此程序中，您将学习如何使用 Java 中的函数将八进制数转换为十进制数，反之亦然。

## 示例 1：将十进制转换为八进制的程序

```java
public class DecimalOctal {

    public static void main(String[] args) {
        int decimal = 78;
        int octal = convertDecimalToOctal(decimal);
        System.out.printf("%d in decimal = %d in octal", decimal, octal);
    }

    public static int convertDecimalToOctal(int decimal)
    {
        int octalNumber = 0, i = 1;

        while (decimal != 0)
        {
            octalNumber += (decimal % 8) * i;
            decimal /= 8;
            i *= 10;
        }

        return octalNumber;
    }
}
```

运行该程序时，输出为：

```java
78 in decimal = 116 in octal
```

此转换发生为：

```java
8 | 78
8 | 9 -- 6
8 | 1 -- 1
8 | 0 -- 1
(116)

```

* * *

## 示例 2：将八进制转换为十进制的程序

```java
public class OctalDecimal {

    public static void main(String[] args) {
        int octal = 116;
        int decimal = convertOctalToDecimal(octal);
        System.out.printf("%d in octal = %d in decimal", octal, decimal);
    }

    public static int convertOctalToDecimal(int octal)
    {
        int decimalNumber = 0, i = 0;

        while(octal != 0)
        {
            decimalNumber += (octal % 10) * Math.pow(8, i);
            ++i;
            octal/=10;
        }

        return decimalNumber;
    }
}
```

When you run the program, the output will be:

```java
116 in octal = 78 in decimal
```

This conversion takes place as:

```java
1 * 82 + 1 * 81 + 6 * 80 = 78
```