# Java 程序将二进制数转换为八进制，反之亦然

> 原文： [https://www.programiz.com/java-programming/examples/binary-octal-convert](https://www.programiz.com/java-programming/examples/binary-octal-convert)

#### 在此程序中，您将学习如何使用 Java 中的函数将二进制数转换为八进制数，反之亦然。

## 示例 1：将二进制转换为八进制的程序

在此程序中，我们将首先将二进制数转换为十进制。 然后，十进制数字转换为八进制。

```java
public class BinaryOctal {

    public static void main(String[] args) {
        long binary = 101001;
        int octal = convertBinarytoOctal(binary);
        System.out.printf("%d in binary = %d in octal", binary, octal);
    }

    public static int convertBinarytoOctal(long binaryNumber)
    {
        int octalNumber = 0, decimalNumber = 0, i = 0;

        while(binaryNumber != 0)
        {
            decimalNumber += (binaryNumber % 10) * Math.pow(2, i);
            ++i;
            binaryNumber /= 10;
        }

        i = 1;

        while (decimalNumber != 0)
        {
            octalNumber += (decimalNumber % 8) * i;
            decimalNumber /= 8;
            i *= 10;
        }

        return octalNumber;
    }
}
```

运行该程序时，输出为：

```java
101001 in binary = 51 in octal
```

此转换发生为：

```java
Binary To Decimal
1 * 25 + 0 * 24 + 1 * 23 + 0 * 22 + 0 * 21 + 1 * 20 = 41

Decimal to Octal
8 | 41
8 |5 -- 1
8 |0 -- 5
(51)

```

* * *

## 示例 2：将八进制转换为二进制的程序

在此程序中，八进制数首先从十进制到十进制。 然后，将十进制数转换为二进制数。

```java
public class OctalBinary {

    public static void main(String[] args) {
        int octal = 67;
        long binary = convertOctalToBinary(octal);
        System.out.printf("%d in octal = %d in binary", octal, binary);
    }

    public static long convertOctalToBinary(int octalNumber)
    {
        int decimalNumber = 0, i = 0;
        long binaryNumber = 0;

        while(octalNumber != 0)
        {
            decimalNumber += (octalNumber % 10) * Math.pow(8, i);
            ++i;
            octalNumber/=10;
        }

        i = 1;

        while (decimalNumber != 0)
        {
            binaryNumber += (decimalNumber % 2) * i;
            decimalNumber /= 2;
            i *= 10;
        }

        return binaryNumber;
    }
}
```

When you run the program, the output will be:

```java
67 in octal = 110111 in binary
```

This conversion takes place as:

```java
Octal To Decimal
6 * 81 + 7 * 80 = 55

Decimal to Binary
2 | 55
2 | 27 -- 1
2 | 13 -- 1
2 | 6 -- 1
2 | 3 -- 0
2 | 1 -- 1
2 |0  -- 1
(110111)

```