# Java 程序使用递归来计算功效

> 原文： [https://www.programiz.com/java-programming/examples/power-number-recursion](https://www.programiz.com/java-programming/examples/power-number-recursion)

#### 在此程序中，您将学习如何使用 Java 中的递归函数来计算数字的幂。

## 示例：使用递归计算功效的程序

```java
public class Power {

    public static void main(String[] args) {
        int base = 3, powerRaised = 4;
        int result = power(base, powerRaised);

        System.out.printf("%d^%d = %d", base, powerRaised, result);
    }

    public static int power(int base, int powerRaised) {
        if (powerRaised != 0)
            return (base * power(base, powerRaised - 1));
        else
            return 1;
    }
}
```

运行该程序时，输出为：

```java
3^4 = 81
```

在上面的程序中，您使用递归函数 power（）计算功效。

简而言之，递归函数将幂乘以基础乘以自身，即：

```java
3 * 3 * 3 * 3 = 81
```

<caption>Execution steps</caption>
| 迭代 | 功率（） | powerRaised | 结果 |
| --- | --- | --- | --- |
| 1 | 功率（3，4） | 4 | 3 *结果 <sub>2</sub> |
| 2 | 功率（3，3） | 3 | 3 * 3 *结果 <sub>3</sub> |
| 3 | 功率（3，2） | 2 | 3 * 3 * 3 *结果 <sub>4</sub> |
| 4 | 功率（3，1） | 1 | 3 * 3 * 3 * 3 *结果<sub>最终</sub> |
| 最后 | 功率（3，0） | 0 | 3 * 3 * 3 * 3 * 1 = 81 |