# Java 程序来计算标准偏差

> 原文： [https://www.programiz.com/java-programming/examples/standard-deviation](https://www.programiz.com/java-programming/examples/standard-deviation)

#### 在此程序中，您将学习如何使用 Java 中的函数来计算标准差。

该程序使用数组计算单个系列的标准偏差。 访问此页面以了解[标准偏差](http://www.mathsisfun.com/data/standard-deviation.html "Standard Deviation")。

为了计算标准偏差，创建了`calculateSD()`函数。 包含 10 个元素的数组将传递给该函数，此函数将计算标准偏差并将其返回给`main()`函数。

## 示例：计算标准偏差的程序

```java
public class StandardDeviation {

    public static void main(String[] args) {
        double[] numArray = { 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 };
        double SD = calculateSD(numArray);

        System.out.format("Standard Deviation = %.6f", SD);
    }

    public static double calculateSD(double numArray[])
    {
        double sum = 0.0, standardDeviation = 0.0;
        int length = numArray.length;

        for(double num : numArray) {
            sum += num;
        }

        double mean = sum/length;

        for(double num: numArray) {
            standardDeviation += Math.pow(num - mean, 2);
        }

        return Math.sqrt(standardDeviation/length);
    }
}
```

**注意**：该程序计算样品的标准偏差。 如果您需要计算 S.D. 人口，从`calculateSD()`方法返回`Math.sqrt(standardDeviation/(length-1))`而不是`Math.sqrt(standardDeviation/length)`。

运行该程序时，输出为：

```java
Standard Deviation = 2.872281
```

在上面的程序中，我们使用了 *Math.pow（）*和 *Math.sqrt（）*的帮助来分别计算幂和平方根。