# Java 程序通过将矩阵传递给函数来将两个矩阵相乘

> 原文： [https://www.programiz.com/java-programming/examples/multiply-matrix-function](https://www.programiz.com/java-programming/examples/multiply-matrix-function)

#### 在此程序中，您将学习如何使用 Java 中的函数将两个矩阵相乘。

为了进行矩阵乘法，第一矩阵的列数必须等于第二矩阵的行数。 在我们的示例中

```java
c1 = r2
```

而且，最终产品矩阵的大小为`r1 x c2`，即

```java
product[r1][c2]
```

您也可以[将两个不带函数](/java-programming/examples/multiply-matrix "multiply two matrices without functions")的矩阵相乘。

## 示例：使用函数将两个矩阵相乘的程序

```java
public class MultiplyMatrices {

    public static void main(String[] args) {
        int r1 = 2, c1 = 3;
        int r2 = 3, c2 = 2;
        int[][] firstMatrix = { {3, -2, 5}, {3, 0, 4} };
        int[][] secondMatrix = { {2, 3}, {-9, 0}, {0, 4} };

        // Mutliplying Two matrices
        int[][] product = multiplyMatrices(firstMatrix, secondMatrix, r1, c1, c2);

        // Displaying the result
        displayProduct(product);
    }

    public static int[][] multiplyMatrices(int[][] firstMatrix, int[][] secondMatrix, int r1, int c1, int c2) {
        int[][] product = new int[r1][c2];
        for(int i = 0; i < r1; i++) {
            for (int j = 0; j < c2; j++) {
                for (int k = 0; k < c1; k++) {
                    product[i][j] += firstMatrix[i][k] * secondMatrix[k][j];
                }
            }
        }

        return product;
    }

    public static void displayProduct(int[][] product) {
        System.out.println("Product of two matrices is: ");
        for(int[] row : product) {
            for (int column : row) {
                System.out.print(column + "    ");
            }
            System.out.println();
        }
    }
}
```

运行该程序时，输出为：

```java
Product of two matrices is:
24    29    
6    25 
```

在上面的程序中，有两个功能：

*   `multiplyMatrices()`将两个给定矩阵相乘并返回乘积矩阵
*   `displayProduct()`在屏幕上显示乘积矩阵的输出。

乘法发生为：

```java
|-    (a11 x b11) + (a12 x b21) + (a13 x b31)    (a11 x b12) + (a12 x b22) + (a13 x b32)    -|
|_    (a21 x b11) + (a22 x b21) + (a23 x b31)    (a21 x b12) + (a22 x b22) + (a23 x b32)    _|

```

在我们的示例中，它发生为：

```java
|-    (3 x 2) + (-2 x -9) + (5 x 0) = 24    (3 x 3) + (-2 x 0) + (5 x 4) = 29    -|
|_    (3 x 2) + ( 0 x -9) + (4 x 0) = 6    (3 x 3) + ( 0 x 0) + (4 x 4) = 25    _|

```