# Java 程序将列表（ArrayList）转换为 Array，反之亦然

> 原文： [https://www.programiz.com/java-programming/examples/convert-list-array](https://www.programiz.com/java-programming/examples/convert-list-array)

#### 在此程序中，您将学习如何使用 toArray（）将列表转换为数组，并使用 Java 中的 asList（）将数组转换为列表。

## 示例 1：将列表转换为数组

```java
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class ListArray {

    public static void main(String[] args) {

        List<String> list = new ArrayList<String>();
        list.add("a");
        list.add("b");

        String[] array = new String[list.size()];
        list.toArray(array);

        System.out.println(Arrays.toString(array));

    }
}
```

运行该程序时，输出为：

```java
[a, b]
```

在上面的程序中，我们有一个字符串列表`list`。 要将列表转换为数组，首先我们创建了一个名为`数组`的字符串数组，其大小等于`list.size()`。

然后，我们仅使用列表的`toArray()`方法将`列表`项转换为`数组`项。

* * *

## 示例 2：将数组转换为列表

```java
import java.util.Arrays;
import java.util.List;

public class ArrayToList {

    public static void main(String[] args) {

        String[] array = {"a", "b"};
        List<String> list = Arrays.asList(array);

        System.out.println(list);

    }
}
```

When you run the program, the output will be:

```java
[a, b]
```

在上面的程序中，我们有一个字符串数组`array`。 要将数组转换为列表，我们使用了`Arrays`的`asList()`方法并将其存储在列表中，即`列表`中。