# Java 程序获取当前工作目录

> 原文： [https://www.programiz.com/java-programming/examples/current-working-directory](https://www.programiz.com/java-programming/examples/current-working-directory)

#### 在此程序中，您将学习获取 Java 中的当前工作目录。

## 示例 1：获取当前工作目录

```java
public class CurrDirectory {

    public static void main(String[] args) {

        String path = System.getProperty("user.dir");

        System.out.println("Working Directory = " + path);

    }
}
```

运行该程序时，输出为：

```java
Working Directory = C:\Users\Admin\Desktop\currDir
```

在上面的程序中，我们使用`System`的`getProperty()`方法获取程序的`user.dir`属性。 这将返回包含我们的 Java 项目的目录。

* * *

## 示例 2：使用路径获取当前工作目录

```java
import java.nio.file.Paths;

public class CurrDirectory {

    public static void main(String[] args) {

        String path = Paths.get("").toAbsolutePath().toString();
        System.out.println("Working Directory = " + path);

    }
}
```

When you run the program, the output will be:

```java
Working Directory = C:\Users\Admin\Desktop\currDir
```

在上面的程序中，我们使用`Path`的`get()`方法获取程序的当前路径。 这将返回到工作目录的相对路径。

然后，我们使用`toAbsolutePath()`将相对路径更改为绝对路径。 由于它返回一个`Path`对象，因此我们需要使用`toString()`方法将其更改为字符串。