# Java 程序创建目录

> 原文： [https://www.programiz.com/java-programming/examples/create-directory](https://www.programiz.com/java-programming/examples/create-directory)

#### 在这个例子中，我们将学习用 Java 创建目录。

[Java File](/java-programming/file "Java File Class") 类提供了`mkdir()`方法来创建新目录。 方法返回

*   `true`如果创建了新目录
*   `false`如果目录已经存在

* * *

### 示例：使用 Java 创建新目录

```java
import java.io.File;

class Main {
  public static void main(String[] args) {

    // creates a file object with specified path
    File file = new File("Java Example\\directory");

    // tries to create a new directory
    boolean value = file.mkdir();
    if(value) {
      System.out.println("The new directory is created.");
    }
    else {
      System.out.println("The directory already exists.");
    }
  }
} 
```

在上面的示例中，我们创建了一个名为`file`的文件对象。 该对象包括有关指定目录路径的信息。

```java
File file = new File("Java Example\\directory"); 
```

在这里，我们使用`mkdir()`方法在指定路径中创建一个新目录。

**如果目录在指定位置**中不存在，则会创建新目录并显示此消息。

```java
The new directory is created. 
```

**但是，如果目录已经存在**，我们将看到此消息。

```java
The directory already exists. 
```

* * *

重要的是要注意，**目录**是在 **Java 示例**父目录中创建的。

但是，如果 **Java 示例**父目录不存在，则`mkdir()`方法无法创建**目录**。

在这种情况下，我们可以使用 Java `File`类的`mkdirs()`方法。 该方法还允许我们创建父目录（如果尚未存在）。

* * *

### 示例 2：使用 mkdirs（）方法创建一个新目录

```java
import java.io.File;

class Main {
  public static void main(String[] args) {

    // creates a file object in current path
    File file = new File("Java Tutorial\\abc");

    // tries to create a new directory
    boolean value = file.mkdirs();
    if(value) {
      System.out.println("The new directory is created.");
    }
    else {
      System.out.println("The directory already exists.");
    }
  }
} 
```

在上面的示例中，我们创建了一个名为`file`的文件对象。 该对象包括有关目录路径的信息。

```java
File file = new File("Tutorial\\directory"); 
```

在这里，我们已使用`mkdirs()`方法创建具有指定路径的新目录。

**如果当前位置**中不存在该目录，则会创建新目录并显示此消息。

```java
The new directory is created. 
```

**However, if the directory already exists**, we will see this message.

```java
The directory already exists. 
```

在这里，如果**教程**目录不存在，则`mkdirs()`方法也会创建**教程**目录以及**目录**。

**注意**：在指定路径时，我们使用了**双反斜杠**。 这是因为`\`字符在 Java 中用作**转义字符**。 因此，第一个反斜杠用作第二个的转义字符。