# Kotlin 程序：相加两个日期

> 原文： [https://www.programiz.com/kotlin-programming/examples/add-two-dates](https://www.programiz.com/kotlin-programming/examples/add-two-dates)

#### 在此程序中，您将学习使用日历在 Kotlin 中相加两个日期。

由于 Java 纪元是 1970 年，因此`Date`对象中表示的任何时间均不起作用。 这意味着，您的日期将从 1970 年开始，并且当添加两个`Date`对象时，总和未达到 1970 年。 因此，我们改用`Calendar`。

## 示例：相加两个日期

```kt
import java.util.Calendar

fun main(args: Array<String>) {

    val c1 = Calendar.getInstance()
    val c2 = Calendar.getInstance()
    val cTotal = c1.clone() as Calendar

    cTotal.add(Calendar.YEAR, c2.get(Calendar.YEAR))
    cTotal.add(Calendar.MONTH, c2.get(Calendar.MONTH) + 1) // Zero-based months
    cTotal.add(Calendar.DATE, c2.get(Calendar.DATE))
    cTotal.add(Calendar.HOUR_OF_DAY, c2.get(Calendar.HOUR_OF_DAY))
    cTotal.add(Calendar.MINUTE, c2.get(Calendar.MINUTE))
    cTotal.add(Calendar.SECOND, c2.get(Calendar.SECOND))
    cTotal.add(Calendar.MILLISECOND, c2.get(Calendar.MILLISECOND))

    println("${c1.time} + ${c2.time} = ${cTotal.time}")

}
```

运行该程序时，输出为：

```kt
Tue Aug 08 10:20:56 NPT 2017 + Tue Aug 08 10:20:56 NPT 2017 = Mon Apr 16 20:41:53 NPT 4035
```

在上述程序中，`c1`和`c2`存储当前日期。 然后，我们只需克隆`c1`，然后依次添加`c2`的每个`DateTime`属性。

如您所见，我们在月份中增加了 1。 这是因为，科特林的月份从 0 开始。

* * *

或者，您也可以使用 [Joda](http://www.joda.org/joda-time/ "Joda Time") 在 Kotlin 中进行时间/日期操作。

以下是等效的 Java 代码：[相加两个日期的 Java 程序](/java-programming/examples/add-two-dates "Java Program to Add Two Dates")。