# Kotlin 程序：在三个数字中找到最大的一个

> 原文： [https://www.programiz.com/kotlin-programming/examples/largest-number-three](https://www.programiz.com/kotlin-programming/examples/largest-number-three)

#### 在该程序中，您将学习使用 Kotlin 中的`if else`和`when`语句在三个数字中找到最大的数字。

## 示例 1：使用`if..else`语句在三个数字中查找最大的

```kt
fun main(args: Array<String>) {

    val n1 = -4.5
    val n2 = 3.9
    val n3 = 2.5

    if (n1 >= n2 && n1 >= n3)
        println("$n1 is the largest number.")
    else if (n2 >= n1 && n2 >= n3)
        println("$n2 is the largest number.")
    else
        println("$n3 is the largest number.")
}
```

运行该程序时，输出为：

```kt
3.9 is the largest number.
```

在上述程序中，三个数字`-4.5`，`3.9`和`2.5`分别存储在变量`n1`，`n2`和`n3`中。

然后，为了找到最大的条件，使用`if else`语句检查以下条件

*   如果`n1`大于或等于`n2`和`n3`，则`n1`最大。
*   如果`n2`大于或等于`n1`和`n3`，则`n2`最大。
*   否则，`n3`最大。

也可以使用`when`语句找到最大的数字。

以下是等效的 Java 代码：[在三个数字中查找最大的 Java 程序](/java-programming/examples/largest-number-three)

* * *

## 示例 2：使用`when`语句查找三个中最大的数字

```kt
fun main(args: Array<String>) {

    val n1 = -4.5
    val n2 = 3.9
    val n3 = 5.5

    when {
        n1 >= n2 && n1 >= n3 -> println("$n1 is the largest number.")
        n2 >= n1 && n2 >= n3 -> println("$n2 is the largest number.")
        else -> println("$n3 is the largest number.")
    }
}
```

When you run the program, the output will be:

```kt
5.5 is the largest number.
```

在上面的程序中，我们使用`when`语句代替使用`an if..else if..else`块。

因此，两个程序中的上述条件相同。