# Python 获取当前时间

> 原文： [https://www.programiz.com/python-programming/datetime/current-time](https://www.programiz.com/python-programming/datetime/current-time)

#### 在本文中，您将学习获取语言环境的当前时间以及 Python 中的不同时区。

您可以采用多种方法获取 Python 当前时间。

* * *

## 示例 1：使用`datetime`对象的当前时间

```py
 from datetime import datetime

now = datetime.now()

current_time = now.strftime("%H:%M:%S")
print("Current Time =", current_time) 
```

在上面的示例中，我们从[日期时间](/python-programming/datetime)模块中导入了`datetime`类。 然后，我们使用`now()`方法获取包含当前日期和时间的`datetime`对象。

然后，使用[`datetime.strftime()`](/python-programming/datetime/strftime)方法，创建一个表示当前时间的字符串。

* * *

如果您需要创建一个包含当前时间的`time`对象，则可以执行以下操作。

```py
 from datetime import datetime

now = datetime.now().time() # time object

print("now =", now)
print("type(now) =", type(now)) 
```

* * *

## 示例 2：使用时间模块的当前时间

您还可以使用时间模块获取当前时间。

```py
 import time

t = time.localtime()
current_time = time.strftime("%H:%M:%S", t)
print(current_time) 
```

* * *

## 示例 3：时区的当前时间

如果需要查找某个时区的当前时间，可以使用[`pytz`模块](http://pytz.sourceforge.net/)。

```py
 from datetime import datetime
import pytz

tz_NY = pytz.timezone('America/New_York') 
datetime_NY = datetime.now(tz_NY)
print("NY time:", datetime_NY.strftime("%H:%M:%S"))

tz_London = pytz.timezone('Europe/London')
datetime_London = datetime.now(tz_London)
print("London time:", datetime_London.strftime("%H:%M:%S")) 
```