#  Python 日期时间到时间戳，反之亦然

> 原文： [https://www.programiz.com/python-programming/datetime/timestamp-datetime](https://www.programiz.com/python-programming/datetime/timestamp-datetime)

#### 在本文中，您将学习如何将时间戳转换为`datetime`对象，并将`datetime`对象转换为时间戳（借助示例）。

将日期和时间作为时间戳存储在数据库中是很常见的。 Unix 时间戳是 UTC 特定日期到 1970 年 1 月 1 日之间的秒数。

* * *

## 示例 1：Python 时间戳到日期时间

```py
 from datetime import datetime

timestamp = 1545730073
dt_object = datetime.fromtimestamp(timestamp)

print("dt_object =", dt_object)
print("type(dt_object) =", type(dt_object)) 
```

运行该程序时，输出为：

```py
 dt_object = 2018-12-25 09:27:53
type(dt_object) = <class 'datetime.datetime'> 
```

在这里，我们从[日期时间](/python-programming/datetime)模块中导入了`datetime`类。 然后，我们使用`datetime.fromtimestamp()`类方法返回本地日期和时间（`datetime`对象）。 该对象存储在`dt_object`变量中。

**注意**：您可以使用[`strftime()`](/python-programming/datetime/strftime)方法从`datetime`对象轻松创建表示日期和时间的字符串。

* * *

## 示例 2：Python 日期时间到时间戳

您可以使用`datetime.timestamp()`方法从日期时间对象获取时间戳。

```py
 from datetime import datetime

# current date and time
now = datetime.now()

timestamp = datetime.timestamp(now)
print("timestamp =", timestamp)

```