# Python 程序：制作一个简单的计算器

> 原文： [https://www.programiz.com/python-programming/examples/calculator](https://www.programiz.com/python-programming/examples/calculator)

#### 在此示例中，您将学习创建一个简单的计算器，该计算器可以根据用户的输入进行加，减，乘或除。

要理解此示例，您应该了解以下 [Python 编程](/python-programming "Python tutorial")主题：

*   [Python 函数](/python-programming/function)
*   [Python 函数参数](/python-programming/function-argument)
*   [Python 用户定义函数](/python-programming/user-defined-function)

* * *

## 示例：使用函数的简单计算器

```py
# Program make a simple calculator

# This function adds two numbers
def add(x, y):
    return x + y

# This function subtracts two numbers
def subtract(x, y):
    return x - y

# This function multiplies two numbers
def multiply(x, y):
    return x * y

# This function divides two numbers
def divide(x, y):
    return x / y

print("Select operation.")
print("1.Add")
print("2.Subtract")
print("3.Multiply")
print("4.Divide")

while True:
    # Take input from the user
    choice = input("Enter choice(1/2/3/4): ")

    # Check if choice is one of the four options
    if choice in ('1', '2', '3', '4'):
        num1 = float(input("Enter first number: "))
        num2 = float(input("Enter second number: "))

        if choice == '1':
            print(num1, "+", num2, "=", add(num1, num2))

        elif choice == '2':
            print(num1, "-", num2, "=", subtract(num1, num2))

        elif choice == '3':
            print(num1, "*", num2, "=", multiply(num1, num2))

        elif choice == '4':
            print(num1, "/", num2, "=", divide(num1, num2))
        break
    else:
        print("Invalid Input") 
```

**输出**

```py
Select operation.
1.Add
2.Subtract
3.Multiply
4.Divide
Enter choice(1/2/3/4): 3
Enter first number: 15
Enter second number: 14
15.0 * 14.0 = 210.0

```

在此程序中，我们要求用户选择一个操作。 选项 1、2、3 和 4 有效。 如果给出任何其他输入，则显示无效输入，循环继续进行，直到选择了有效选项为止。

取两个数字，并使用`if...elif...else`分支执行特定节。 用户定义的函数`add()`，`subtract()`，`multiply()`和`divide()`求值各自的操作并显示输出。