# 迅捷评论

> 原文： [https://www.programiz.com/swift-programming/comments](https://www.programiz.com/swift-programming/comments)

#### 在本文中，您将了解 Swift 注释，为什么以及如何使用它们。

注释是程序源代码中程序员可读的解释或注释。 编译代码时，[编译器](https://en.wikipedia.org/wiki/Compiler "Compiler")将忽略它。

注释旨在供阅读代码的人员使用，以更好地理解程序的意图和功能。 在团队中为其他团队成员阐明代码的目的时，或者在单独工作时，它可能会提示自己拥有该代码。

* * *

## 快速注释及其类型

快速有两种类型的注释：

### 1.单行注释

在 Swift 中，任何以两个斜杠`//`开头的行都是单行注释。以两个斜杠`//`开头的所有内容都将被编译器忽略。

您可以在操场的顶部找到一个简单的示例：

```swift
//: Playground - noun: a place where people can play
```

它以两个斜杠`//`开头，并以“：游乐场-名词：人们可以玩耍的地方”的形式对文件进行了有意义的说明。

#### 示例 1：单行注释

```swift
//Sample program
//stores 3.14 in variable pi
let pi = 3.14159 
print(pi) 
```

上面的示例包含两个单行注释：

```swift
// Sample program
// stores 3.14 in variable pi
```

* * *

### 2.多行注释

如果您的注释包含多行，则可以将其括在`/*...*/`中。

多行注释以正斜杠后跟一个星号（`/*`）开头，以一个星号后跟一个正斜杠（`*/`）结尾。 快速编译器将忽略`/*`和`*/`之间的所有内容。

```swift
/* This is a multiline comment.
After you write multiline comment add * following by / to end it
*/

```

#### 示例 2：多行注释

```swift
/* Hardcoded pi value may be less accurate.
So you can calculate using in built data types for more accurate value
*/
let pi = Double.pi
print(pi) 
```

上面的示例包含多行注释。

```swift
/* Hardcoded pi value may be less accurate.
So you can calculate using in built data types for more accurate value
*/
```

* * *

## 要记住的事情

尽管注释对于更好地理解所编写代码的意图很有意义。 这是您在编写时需要考虑的事项：

1.  尽管注释有效并且编译器将忽略这些行，但不要在多行上用//括起注释。 而是将其括在多行注释中`/*...*/`

    **示例：**

    ```swift
    //This is a comment.
    //Use it when necessary and precisely

    ```

    上面的写注释方法是正确的，但不建议这样做，因为如果注释大于 一条线。 更好的书写方式是将多行注释用作：

    ```swift
    /* This is a comment.
    Use it when necessary and precisely
    */

    ```

2.  单行注释可以写在单独的行中，也可以与代码一起写在同一行中。 但是，建议在单独的行中使用注释。

    **示例：**

    ```swift
    let pi = 3.14159 //stores 3.14 in variable pi
    ```

    这种写注释的方法有效。 但是最好在单独的行中写注释为：

    ```swift
    //stores 3.14 in variable pi
    let pi = 3.14159 
    ```

3.  即使您是团队中的单个开发人员，并且您是唯一编写该代码的人，但是如果没有注释，您将很难在程序中确定其目的。 因此，请精确使用它并提供有意义的描述。
4.  使评论非常简单和有意义。
5.  不要在代码上写不必要的注释。
6.  在大多数情况下，请使用注释来解释“为什么”而不是“如何”。